import java.io.FileOutputStream;
import java.io.IOException;
import com.lowagie.text.*;
import com.lowagie.text.pdf.PdfWriter;

public class List09{
    
    public static void main(String[] args) {
        System.out.println("List09.pdf𐶐܂...");
        
        /*DocumentIuWFNg̐*/
        Document document = new Document();
        
        try {
            
            /*PdfWriterIuWFNg̐*/
            PdfWriter.getInstance(document, new FileOutputStream("List09.pdf"));
            
            /*hLgOPEN*/
            document.open();
            
            /*Rec̋Lq*/
            Chunk chunk01 = new Chunk("1:Chunk Test\n", 
            				FontFactory.getFont(FontFactory.COURIER, 
            							12, 
            							Font.NORMAL, 
            							new java.awt.Color(255, 0, 0)));
            Chunk chunk02 = new Chunk("2:Chunk Test\n", 
            				FontFactory.getFont(FontFactory.COURIER, 
            							40, 
            							Font.BOLD, 
            							new java.awt.Color(255, 0, 0)));
            Chunk chunk03 = new Chunk("3:Chunk Test /w Underline\n", 
            				FontFactory.getFont(FontFactory.HELVETICA, 
            							40, 
            							Font.UNDERLINE));
	    Chunk chunk04 = new Chunk("4:Chunk Test /w Strikethru\n", 
	    				FontFactory.getFont(FontFactory.HELVETICA, 
	    							12, 
	    							Font.ITALIC | Font.STRIKETHRU));
	    Chunk chunk05 = new Chunk("5:Chunk Test /w Bgcolor\n", 
            				FontFactory.getFont(FontFactory.COURIER, 
            							20, 
            							Font.BOLD, 
            							new java.awt.Color(255, 255, 255)));
	    chunk05.setBackground(new java.awt.Color(128,128,128));

            document.add(new Paragraph(chunk01));
            document.add(new Paragraph(chunk02));
            document.add(new Paragraph(chunk03));
            document.add(new Paragraph(chunk04));
            document.add(new Paragraph(chunk05));
            document.add(new Paragraph("6:Chunk Test\n"));

            /*sԂ̏C*/
            document.newPage();
            document.add(new Paragraph(chunk01));
            document.add(new Paragraph(40,chunk02));
            document.add(new Paragraph(40,chunk03));
            document.add(new Paragraph(40,chunk04));
            document.add(new Paragraph(chunk05));
            
            //lAAEl
            document.newPage();
            Paragraph para1 = 
                    new Paragraph("==AlignmentTest==");
            para1.setAlignment(Element.ALIGN_LEFT);
            document.add(para1);
            para1.setAlignment(Element.ALIGN_CENTER);
            document.add(para1);
            para1.setAlignment(Element.ALIGN_RIGHT);
            document.add(para1);

            //
            Paragraph para2 = 
                     new Paragraph("#IndentationTest");
            para2.setIndentationLeft(20);
            document.add(para2);
            Paragraph para3 = new Paragraph();
            para3.setIndentationLeft(40);
            for(int i=0;i<200;i++){
                     para3.add("hogehoge");
            }
            document.add(para3);

        }catch(DocumentException de) {
            System.err.println(de.getMessage());
        }catch(IOException ioe) {
            System.err.println(ioe.getMessage());
        }catch(Exception e){
            System.err.println(e.getMessage());
        }
         
        /*hLgCLOSE*/
        document.close();
    }
}