import java.io.FileOutputStream;
import java.io.IOException;
import com.lowagie.text.*;
import com.lowagie.text.pdf.PdfWriter;
import com.lowagie.text.pdf.BaseFont;

public class List12{

    private static String flowers[] = { "1","A}X","ׂ",
					"2","AU~","GȂ",
					"3","AWTC","~艮",
					"4","All","͂Ȃ",
					"5","K[x","_",
					"6","JgA","DȂЂ",
					"7","LXQ","",
					"8","OWIX","pSԂ",
					"9","RXX","s",
					"10","TrA","̐S͔RĂ",
					"11","VN","͂ɂ",
					"12","WM^X","s",
					"13","VlA","ɋP",
					"14","VEJChE","Ўv",
					"15","W`EQ","Â",
					"16","XgbN","̂ނ",
					"17","X~","̂Ƃl",
					"18","XCJY","̂",
					"19","XY","KƂǂ",
					"20","Z","",
					"21","^||","Km点",
					"22","coL","̉^͂Ȃ",
					"23","icXCZ","Ȃ̂߂ȂǂȂƂł",
					"24","nCrXJX","˂ɐV",
					"25","nirV\E","Ô",
					"26","nnROT","₳l",
					"27","pW[","zĉ",
					"28","qKoi","߂vo",
					"29","q}","h",
					"30","tE\E","",
					"31","tL","`ɗƂ",
					"32","t[WA","",
					"33","x[QrA","M",
					"34","tE","Ƃ₩ȗl",
					"35","tNWE\E","킹",
					"36","xjo","",
					"37","zIYL","炵",
					"38","{P","n",
					"39","}[Kbg","^̗",
					"40","}co{^","׋C",
					"41","}cCOT","ق̂ȗ",
					"42","}[S[h","i",
					"43","~WAIC","",
					"44","","Ȃ̂悤Ȗ",
					"45","N","Rւ̈",
					"46","LmV^","ЈӒn",
					"47","L\E","M",
					"48","CbN","̊",
					"49","S","ނ͈̂P",
					"50","hE","߂ł鎞̂ȂD"};
					
    public static void main(String[] args) {
        System.out.println("List12.pdf𐶐܂...");
        
        /*DocumentIuWFNg̐*/
        Document document = new Document();
        
        try {
            
            /*PdfWriterIuWFNg̐*/
            PdfWriter.getInstance(document, new FileOutputStream("List12.pdf"));
            
            /*hLgOPEN*/
            document.open();

           /*Rec̋Lq*/
           
		BaseFont bf = BaseFont.createFont("HeiseiKakuGo-W5", "UniJIS-UCS2-HW-H",false);
		Font font = new Font(bf, 12);

           	Paragraph para = new Paragraph("Ԍtf[^\",font);
		para.setAlignment(Element.ALIGN_CENTER);
		document.add(para);
		
		Table aTable = new Table(3);	//e[uEIuWFNg̐
		aTable.setDefaultHorizontalAlignment(Element.ALIGN_CENTER);
		aTable.setDefaultVerticalAlignment(Element.ALIGN_MIDDLE);
		aTable.setPadding(2);

		int width[] = {10,30,60};
		aTable.setWidths(width);	//eJ̑傫ݒip[Zgj
		aTable.setWidth(70);		//e[uŜ̑傫ݒip[Zgj
		
		aTable.addCell("No");		//J
		aTable.addCell("Flower");	//J
		aTable.addCell("Message");	//J
		aTable.endHeaders();		//ł܂ĂJ\

		//Ԍt̏
		for(int i=0;i<flowers.length;i++){
			Cell cell = new Cell(new Phrase(flowers[i],font));
			int columnIndex = (i+1) % (aTable.columns()*2);
			if ((columnIndex > aTable.columns()) || (columnIndex == 0)) {
				cell.setGrayFill(0.9f);		//O[œhԂ
			}
			aTable.addCell(cell);
		}

           document.add(aTable);
            
        }catch(DocumentException de) {
            System.err.println(de.getMessage());
        }catch(IOException ioe) {
            System.err.println(ioe.getMessage());
        }catch(Exception e){
            System.err.println(e.getMessage());
        }
          
        /*hLgCLOSE*/
        document.close();
    }
}